Qore Mime Module Reference 1.3.1

- Main Page
- Modules
- Namespaces
- Classes

All Classes Namespaces Functions Variables Groups Pages
Variables
MIME Type Definitions

## Variables
const | Mime::MimeTypeCss = "text/css"
| Mime type for css.
const | Mime::MimeTypeCsv = "text/csv"
| MIME type for csv files (http://tools.ietf.org/html/rfc4180)
const | Mime::MimeTypeHtml = "text/html"
| MIME type for HTML.
const | Mime::MimeTypeJavascript = "application/javascript"
| Mime type for Javascript.
const | Mime::MimeTypeJpeg = "image/jpeg"
| MIME type for jpeg images.
const | Mime::MimeTypeJson = "application/json"
| Mime type for JSON.
const | Mime::MimeTypeJsonRpc = MimeTypeJson
| Mime type for JSON-RPC.
const | Mime::MimeTypePng = "image/png"
| MIME type for png images.
const | Mime::MimeTypes
| A map of default mime types per file extension; the hash keys are file extensions in lower-case without the dot (ex: `"txt"`)
const | Mime::MimeTypeSoapXml = "application/soap+xml"
| Mime type for SOAP XML messages (XML MIME type reference: http://tools.ietf.org/html/rfc3023)
const | Mime::MimeTypeText = "text/plain"
| MIME type for text.
const | Mime::MimeTypeUnknown = "application/octet-stream"
| MIME type for unknown file types.
const | Mime::MimeTypeXml = "text/xml"
| Mime type for plain (human-readable) xml files.
const | Mime::MimeTypeXmlApp = "application/xml"
| Mime type for more complicated (not human-readable) xml files.
const | Mime::MimeTypeXmlRpc = MimeTypeXml
| Mime type for XML-RPC.
const | Mime::MimeTypeYaml = "text/x-yaml"
| Mime type for yaml data files.
const | Mime::MimeTypeYamlRpc = "application/x-yaml"
| Mime type for YAML-RPC.

## Detailed Description

These are constants for common MIME types